Gtk2::Object(3)

NAME
Gtk2::Object

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object

METHODS

  object = Gtk2::Object->new ($object_class, ...)

•   $object_class (string) package name of object to create

•   ... (list) of property-name => value pairs

Create a new object of type $object_class, with some optional initial property values. You may see this used in some code as Gtk2::Widget->new, e.g.

 $window = Gtk2::Widget->new ('Gtk2::Window',
                              title => 'something cool',
                              allow_grow => TRUE);

This is really just a convenience function that wraps Glib::Object->new.

  boolean = $object->bindings_activate ($keyval, $modifiers)

•   $keyval (integer)

•   $modifiers (Gtk2::Gdk::ModifierType)

Although "activate" and "activate_event" are "Gtk2::Object" methods, as of Gtk 2.12 they will only actually invoke signals on a "Gtk2::Widget". On a "Gtk2::Object" the return is always false (no binding activated).

  boolean = $object->bindings_activate_event ($event)

•   $event (Gtk2::Gdk::Event)

Since: gtk+ 2.4

  $object->destroy
This is an explicit destroy --- NOT the auto destroy; Gtk2::Object inherits that from Glib::Object!

PROPERTIES

'user-data' (gpointer : readable / writable / private)
    Anonymous User Data Pointer

SIGNALS

destroy (Gtk2::Object)

ENUMS AND FLAGS

  flags Gtk2::Gdk::ModifierType
•   'shift-mask' / 'GDK_SHIFT_MASK'

•   'lock-mask' / 'GDK_LOCK_MASK'

•   'control-mask' / 'GDK_CONTROL_MASK'

•   'mod1-mask' / 'GDK_MOD1_MASK'

•   'mod2-mask' / 'GDK_MOD2_MASK'

•   'mod3-mask' / 'GDK_MOD3_MASK'

•   'mod4-mask' / 'GDK_MOD4_MASK'

•   'mod5-mask' / 'GDK_MOD5_MASK'

•   'button1-mask' / 'GDK_BUTTON1_MASK'

•   'button2-mask' / 'GDK_BUTTON2_MASK'

•   'button3-mask' / 'GDK_BUTTON3_MASK'

•   'button4-mask' / 'GDK_BUTTON4_MASK'

•   'button5-mask' / 'GDK_BUTTON5_MASK'

•   'super-mask' / 'GDK_SUPER_MASK'

•   'hyper-mask' / 'GDK_HYPER_MASK'

•   'meta-mask' / 'GDK_META_MASK'

•   'release-mask' / 'GDK_RELEASE_MASK'

•   'modifier-mask' / 'GDK_MODIFIER_MASK'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.